# class Puma::Configuration::ConfigMiddleware

Injects the Configuration object into the env

### Public Class Methods

new(config, app) click to toggle source

    # File lib/puma/configuration.rb, line 218
    def initialize(config, app)
      @config = config
      @app = app
    end

### Public Instance Methods

call(env) click to toggle source

    # File lib/puma/configuration.rb, line 223
    def call(env)
      env[Const::PUMA_CONFIG] = @config
      @app.call(env)
    end